summaryrefslogtreecommitdiffstats
path: root/chromium-dev-pepperflash-plugin/build
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2015-05-14 20:23:19 +0000
committer Eric Hameleers <alien@slackware.com>2015-05-14 20:23:19 +0000
commit95d3074f6827caba4e212b8d99f8414fd9215f72 (patch)
treebccbfd00f8e6d42e3aaeccf775149d2ed4cb4e91 /chromium-dev-pepperflash-plugin/build
parentf4e922cd9305bcaca3ed13481a0fcdc368c43fec (diff)
downloadasb-95d3074f6827caba4e212b8d99f8414fd9215f72.tar.gz
asb-95d3074f6827caba4e212b8d99f8414fd9215f72.tar.xz
Initial revision
Diffstat (limited to 'chromium-dev-pepperflash-plugin/build')
-rwxr-xr-xchromium-dev-pepperflash-plugin/build/chromium-dev-pepperflash-plugin.SlackBuild205
1 files changed, 205 insertions, 0 deletions
diff --git a/chromium-dev-pepperflash-plugin/build/chromium-dev-pepperflash-plugin.SlackBuild b/chromium-dev-pepperflash-plugin/build/chromium-dev-pepperflash-plugin.SlackBuild
new file mode 100755
index 00000000..4134fadf
--- /dev/null
+++ b/chromium-dev-pepperflash-plugin/build/chromium-dev-pepperflash-plugin.SlackBuild
@@ -0,0 +1,205 @@
+#!/bin/sh
+# $Id$
+# Copyright 2015 Eric Hameleers, Eindhoven, NL
+# All rights reserved.
+#
+# Permission to use, copy, modify, and distribute this software for
+# any purpose with or without fee is hereby granted, provided that
+# the above copyright notice and this permission notice appear in all
+# copies.
+#
+# THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+# IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
+# USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
+# OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
+# OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+# -----------------------------------------------------------------------------
+#
+# Slackware SlackBuild script
+# ===========================
+# By: Eric Hameleers <alien@slackware.com>
+# For: chromium-dev-pepperflash-plugin
+# Descr: Google Chrome's Pepper Flash plugin for Chromium Dev
+# URL: http://www.google.com/chrome
+# Build needs:
+# Needs:
+# Changelog:
+# 18.0.0.114-1:
+# 14/may/2015 by Eric Hameleers <alien@slackware.com>
+# * Plugin to accompany chromium-dev-44.0.2398.0.
+#
+# Run 'sh chromium-dev-pepperflash-plugin.SlackBuild' to build a Slackware package.
+# The package (.txz) and .txt file as well as build logs are created in /tmp .
+# Install it using 'installpkg'.
+#
+# -----------------------------------------------------------------------------
+
+# The version of this package will be determined later by examining the
+# extracted library file.
+
+SRCNAM=chromium
+SRCEXT=${SRCEXT:-"-dev"}
+PLUGIN=pepperflash-plugin
+PRGNAM=${SRCNAM}${SRCEXT}-${PLUGIN}
+BUILD=${BUILD:-1}
+TAG=${TAG:-alien}
+
+# What is the Chrome RPM version we extract this from?
+CHROMEVER=${CHROMEVER:-"44.0.2398.0"}
+RPMSUB=${RPMSUB:-"-1"}
+
+# Differentiate between development and stable releases:
+if [ "x$SRCEXT" = "x-dev" ]; then
+ RPMCHAN="unstable"
+ BINTREE="-unstable"
+ CRFLAGS="CHROMIUM_DEV_FLAGS"
+else
+ RPMCHAN="stable"
+ BINTREE=""
+ CRFLAGS="CHROMIUM_FLAGS"
+fi
+
+# Where do we look for sources?
+SRCDIR=$(cd $(dirname $0); pwd)
+
+DOCS="$SRCDIR/license.html"
+
+# Place to build (TMP) package (PKG) and output (OUTPUT) the program:
+TMP=${TMP:-/tmp/build}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+# Automatically determine the architecture we're building on:
+MARCH=${ARCH:-$( uname -m )}
+case "$MARCH" in
+ x86_64)
+ LIBDIRSUFFIX="64"
+ ARCHBITS="64"
+ export ARCH=x86_64
+ ;;
+ i?86)
+ LIBDIRSUFFIX=""
+ ARCHBITS="32"
+ export ARCH=i386
+ ;;
+ *)
+ echo "Unsupported architecture '$ARCH'"
+ exit 1
+ ;;
+esac
+
+SOURCE[0]="$SRCDIR/google-chrome-$RPMCHAN-$CHROMEVER$RPMSUB.$ARCH.rpm"
+SRCURL[0]="https://dl.google.com/linux/chrome/rpm/stable/$ARCH/google-chrome-$RPMCHAN-$CHROMEVER$RPMSUB.$ARCH.rpm"
+
+SOURCE[1]="$SRCDIR/license.html"
+SRCURL[1]="http://www.google.com/chrome/intl/en/eula_text.html"
+
+##
+## --- with a little luck, you won't have to edit below this point --- ##
+##
+
+# Exit the script on errors:
+set -e
+trap 'echo "$0 FAILED at line ${LINENO}" | tee $OUTPUT/error-${PRGNAM}.log' ERR
+# Catch unitialized variables:
+set -u
+P1=${1:-1}
+
+# Save old umask and set to 0022:
+_UMASK_=$(umask)
+umask 0022
+
+# Create working directories:
+mkdir -p $OUTPUT # place for the package to be saved
+mkdir -p $TMP/tmp-$PRGNAM # location to build the source
+mkdir -p $PKG # place for the package to be built
+rm -rf $PKG/* # always erase old package's contents
+rm -rf $TMP/tmp-$PRGNAM/* # remove the remnants of previous build
+rm -rf $OUTPUT/{configure,make,install,error,makepkg,patch}-$PRGNAM.log
+ # remove old log files
+
+# Source file availability:
+for (( i = 0; i < ${#SOURCE[*]}; i++ )) ; do
+ if ! [ -f ${SOURCE[$i]} ]; then
+ echo "Source '$(basename ${SOURCE[$i]})' not available yet..."
+ # Check if the $SRCDIR is writable at all - if not, download to $OUTPUT
+ [ -w "$SRCDIR" ] || SOURCE[$i]="$OUTPUT/$(basename ${SOURCE[$i]})"
+ if [ -f ${SOURCE[$i]} ]; then echo "Ah, found it!"; continue; fi
+ if ! [ "x${SRCURL[$i]}" == "x" ]; then
+ echo "Will download file to $(dirname $SOURCE[$i])"
+ wget -nv -T 20 -O "${SOURCE[$i]}" "${SRCURL[$i]}" || true
+ if [ $? -ne 0 -o ! -s "${SOURCE[$i]}" ]; then
+ echo "Fail to download '$(basename ${SOURCE[$i]})'. Aborting the build."
+ mv -f "${SOURCE[$i]}" "${SOURCE[$i]}".FAIL
+ exit 1
+ fi
+ else
+ echo "File '$(basename ${SOURCE[$i]})' not available. Aborting the build."
+ exit 1
+ fi
+ fi
+done
+
+if [ "$P1" == "--download" ]; then
+ echo "Download complete."
+ exit 0
+fi
+
+# --- PACKAGE BUILDING ---
+
+cd $TMP/tmp-$PRGNAM
+echo "Extracting the source archive(s) for $PRGNAM..."
+rpm2cpio ${SOURCE[0]} | cpio -idmv -R root:root \
+ ./opt/google/chrome${BINTREE}/PepperFlash/*
+chmod -R u+w,go+r-w,a+X-s .
+
+# What version does the extracted library have?
+VERSION=$(grep '"version":' opt/google/chrome${BINTREE}/PepperFlash/manifest.json | cut -d\" -f4)
+
+echo "++"
+echo "Version '$VERSION' detected for libpepflashplayer.so"
+echo "++"
+
+# Move the extracted files over to the package location:
+install -d $PKG/usr/lib${LIBDIRSUFFIX}/${SRCNAM}${SRCEXT}/PepperFlash
+install -m0644 opt/google/chrome${BINTREE}/PepperFlash/* \
+ $PKG/usr/lib${LIBDIRSUFFIX}/${SRCNAM}${SRCEXT}/PepperFlash/
+
+# Install a configuration file for the plugin:
+install -d $PKG/etc/${SRCNAM}${SRCEXT}
+cat $SRCDIR/${PRGNAM}.conf \
+ | sed -e "s/@PRGNAM@/${SRCNAM}${SRCEXT}/g" \
+ -e "s/@SRCEXT@/${SRCEXT}/g" \
+ -e "s/@CRFLAGS@/${CRFLAGS}/g" \
+ -e "s/@LIBDIRSUFFIX@/${LIBDIRSUFFIX}/g" \
+ > $PKG/etc/${SRCNAM}${SRCEXT}/${PLUGIN}.conf
+
+# Add documentation:
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION || true
+cat $SRCDIR/$(basename $0) > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+chown -R root:root $PKG/usr/doc/$PRGNAM-$VERSION
+find $PKG/usr/doc -type f -exec chmod 644 {} \;
+
+# Add a package description:
+mkdir -p $PKG/install
+cat $SRCDIR/slack-desc > $PKG/install/slack-desc
+
+# Build the package:
+cd $PKG
+makepkg --linkadd y --chown n $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.${PKGTYPE:-txz} 2>&1 | tee $OUTPUT/makepkg-${PRGNAM}.log
+cd $OUTPUT
+md5sum ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.${PKGTYPE:-txz} > ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.${PKGTYPE:-txz}.md5
+cd -
+cat $PKG/install/slack-desc | grep "^${PRGNAM}" > $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.txt
+
+# Restore the original umask:
+umask ${_UMASK_}
+